## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbManyToManyElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbManyToManyElement

    public class JaxbManyToManyElement

extends Object

Java class for many-to-many-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="many-to-many-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
               <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="filter" type="{http://www.hibernate.org/xsd/hibernate-mapping}filter-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="embed-xml" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fetch" type="{http://www.hibernate.org/xsd/hibernate-mapping}fetch-attribute" />
           <attribute name="foreign-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lazy" type="{http://www.hibernate.org/xsd/hibernate-mapping}lazy-attribute" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="not-found" type="{http://www.hibernate.org/xsd/hibernate-mapping}not-found-attribute" default="exception" />
           <attribute name="order-by" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="outer-join" type="{http://www.hibernate.org/xsd/hibernate-mapping}outer-join-attribute" />
           <attribute name="property-ref" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="unique" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="where" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` `clazz`
`protected String` `column`
`protected List<Object>` `columnOrFormula`
`protected Boolean` `embedXml`
`protected String` `entityName`
`protected JaxbFetchAttribute` `fetch`
`protected List<JaxbFilterElement>` `filter`
`protected String` `foreignKey`
`protected String` `formula`
`protected JaxbLazyAttribute` `lazy`
`protected List<JaxbMetaElement>` `meta`
`protected String` `node`
`protected JaxbNotFoundAttribute` `notFound`
`protected String` `orderBy`
`protected JaxbOuterJoinAttribute` `outerJoin`
`protected String` `propertyRef`
`protected Boolean` `unique`
`protected String` `where`

Constructor Summary
`JaxbManyToManyElement()`

Method Summary
`String` `getClazz()` Gets the value of the clazz property.
`String` `getColumn()` Gets the value of the column property.
`List<Object>` `getColumnOrFormula()` Gets the value of the columnOrFormula property.
`String` `getEntityName()` Gets the value of the entityName property.
`JaxbFetchAttribute` `getFetch()` Gets the value of the fetch property.
`List<JaxbFilterElement>` `getFilter()` Gets the value of the filter property.
`String` `getForeignKey()` Gets the value of the foreignKey property.
`String` `getFormula()` Gets the value of the formula property.
`JaxbLazyAttribute` `getLazy()` Gets the value of the lazy property.
`List<JaxbMetaElement>` `getMeta()` Gets the value of the meta property.
`String` `getNode()` Gets the value of the node property.
`JaxbNotFoundAttribute` `getNotFound()` Gets the value of the notFound property.
`String` `getOrderBy()` Gets the value of the orderBy property.
`JaxbOuterJoinAttribute` `getOuterJoin()` Gets the value of the outerJoin property.
`String` `getPropertyRef()` Gets the value of the propertyRef property.
`String` `getWhere()` Gets the value of the where property.
`boolean` `isEmbedXml()` Gets the value of the embedXml property.
`boolean` `isUnique()` Gets the value of the unique property.
`void` `setClazz(String value)` Sets the value of the clazz property.
`void` `setColumn(String value)` Sets the value of the column property.
`void` `setEmbedXml(Boolean value)` Sets the value of the embedXml property.
`void` `setEntityName(String value)` Sets the value of the entityName property.
`void` `setFetch(JaxbFetchAttribute value)` Sets the value of the fetch property.
`void` `setForeignKey(String value)` Sets the value of the foreignKey property.
`void` `setFormula(String value)` Sets the value of the formula property.
`void` `setLazy(JaxbLazyAttribute value)` Sets the value of the lazy property.
`void` `setNode(String value)` Sets the value of the node property.
`void` `setNotFound(JaxbNotFoundAttribute value)` Sets the value of the notFound property.
`void` `setOrderBy(String value)` Sets the value of the orderBy property.
`void` `setOuterJoin(JaxbOuterJoinAttribute value)` Sets the value of the outerJoin property.
`void` `setPropertyRef(String value)` Sets the value of the propertyRef property.
`void` `setUnique(Boolean value)` Sets the value of the unique property.
`void` `setWhere(String value)` Sets the value of the where property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### columnOrFormula

    protected List<Object> columnOrFormula

### filter

    protected List<JaxbFilterElement> filter

### clazz

    protected String clazz

### column

    protected String column

### embedXml

    protected Boolean embedXml

### entityName

    protected String entityName

### fetch

    protected JaxbFetchAttribute fetch

### foreignKey

    protected String foreignKey

### formula

    protected String formula

### lazy

    protected JaxbLazyAttribute lazy

### node

    protected String node

### notFound

    protected JaxbNotFoundAttribute notFound

### orderBy

    protected String orderBy

### outerJoin

    protected JaxbOuterJoinAttribute outerJoin

### propertyRef

    protected String propertyRef

### unique

    protected Boolean unique

### where

    protected String where

Constructor Detail

### JaxbManyToManyElement

    public JaxbManyToManyElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getColumnOrFormula

    public List<Object> getColumnOrFormula()

  Gets the value of the columnOrFormula property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnOrFormula property.

  For example, to add a new item, do as follows:

          getColumnOrFormula().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement` `String`

### getFilter

    public List<JaxbFilterElement> getFilter()

  Gets the value of the filter property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the filter property.

  For example, to add a new item, do as follows:

          getFilter().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbFilterElement`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

### isEmbedXml

    public boolean isEmbedXml()

  Gets the value of the embedXml property.

  Returns:
    possible object is `Boolean`

### setEmbedXml

    public void setEmbedXml(Boolean value)

  Sets the value of the embedXml property.

  Parameters:
    `value` - allowed object is `Boolean`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchAttribute getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchAttribute`

### setFetch

    public void setFetch(JaxbFetchAttribute value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchAttribute`

### getForeignKey

    public String getForeignKey()

  Gets the value of the foreignKey property.

  Returns:
    possible object is `String`

### setForeignKey

    public void setForeignKey(String value)

  Sets the value of the foreignKey property.

  Parameters:
    `value` - allowed object is `String`

### getFormula

    public String getFormula()

  Gets the value of the formula property.

  Returns:
    possible object is `String`

### setFormula

    public void setFormula(String value)

  Sets the value of the formula property.

  Parameters:
    `value` - allowed object is `String`

### getLazy

    public JaxbLazyAttribute getLazy()

  Gets the value of the lazy property.

  Returns:
    possible object is `JaxbLazyAttribute`

### setLazy

    public void setLazy(JaxbLazyAttribute value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `JaxbLazyAttribute`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getNotFound

    public JaxbNotFoundAttribute getNotFound()

  Gets the value of the notFound property.

  Returns:
    possible object is `JaxbNotFoundAttribute`

### setNotFound

    public void setNotFound(JaxbNotFoundAttribute value)

  Sets the value of the notFound property.

  Parameters:
    `value` - allowed object is `JaxbNotFoundAttribute`

### getOrderBy

    public String getOrderBy()

  Gets the value of the orderBy property.

  Returns:
    possible object is `String`

### setOrderBy

    public void setOrderBy(String value)

  Sets the value of the orderBy property.

  Parameters:
    `value` - allowed object is `String`

### getOuterJoin

    public JaxbOuterJoinAttribute getOuterJoin()

  Gets the value of the outerJoin property.

  Returns:
    possible object is `JaxbOuterJoinAttribute`

### setOuterJoin

    public void setOuterJoin(JaxbOuterJoinAttribute value)

  Sets the value of the outerJoin property.

  Parameters:
    `value` - allowed object is `JaxbOuterJoinAttribute`

### getPropertyRef

    public String getPropertyRef()

  Gets the value of the propertyRef property.

  Returns:
    possible object is `String`

### setPropertyRef

    public void setPropertyRef(String value)

  Sets the value of the propertyRef property.

  Parameters:
    `value` - allowed object is `String`

### isUnique

    public boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

### getWhere

    public String getWhere()

  Gets the value of the where property.

  Returns:
    possible object is `String`

### setWhere

    public void setWhere(String value)

  Sets the value of the where property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.